
QGIS Application - Bug report #12844

qgis master: python error opening SQL console in DB Manager

2015-05-28 09:59 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20939

Description

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 189, in runSqlWindow

    from dlg_sql_window import DlgSqlWindow

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 478, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_sql_window.py", line 43, in 

    from .ui.ui_DlgSqlWindow import Ui_DbManagerDlgSqlWindow as Ui_Dialog

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 478, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/ui/ui_DlgSqlWindow.py", line 238, in 

    import resources_rc

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 478, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named resources_rc

Associated revisions

Revision 6524080f - 2015-06-02 06:48 PM - Salvatore Larosa

[db manager] Fix #12844 - python error opening SQL Window

History

#1 - 2015-06-01 05:08 AM - Jürgen Fischer

- Status changed from Open to Feedback

Not reproducable with 1:2.9.0+git20150601+15ba006

#2 - 2015-06-01 05:29 AM - Saber Razmjooei

Still appears in commit:f1817d0.

#3 - 2015-06-01 06:09 AM - Nathan Woodrow

Do you have a clean build?  I don't see that here
#4 - 2015-06-01 06:34 AM - Giovanni Manghi

Nathan Woodrow wrote:

Do you have a clean build?  I don't see that here

yes, clean installations on both linux and windows. Still see the issue on the latest master installed with osgeo4w/nightly-build repo.

#5 - 2015-06-01 06:34 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2015-06-01 07:06 AM - Saber Razmjooei

yes, on a clean build from source.

#7 - 2015-06-02 02:24 AM - Jürgen Fischer

- Status changed from Open to Feedback

Odd.  Works for me with qgis-dev from OSGeo4W (2.9.0-88, 64bit or 2.9.0-85, 32bit, both commit:e295c1f) and from a nightly build (ie

1:2.9.0+git20150601+15ba006 on unstable) and from a fresh build ran from the build directory.

#8 - 2015-06-02 09:59 AM - Salvatore Larosa

- Status changed from Feedback to Closed

Fixed in changeset commit:"6524080f143ef86e9b4da0b99ce122e528936e39".
